- Qt 5.15
- Qt Multimedia
- C++ Classes
- QMediaPlayer
- Qt 5.15.19 Reference Documentation

# Obsolete Members for QMediaPlayer

The following members of class QMediaPlayer are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(obsolete)` QNetworkConfiguration | currentNetworkConfiguration() const

## Public Slots

`(obsolete)` void | setNetworkConfigurations(const QList<QNetworkConfiguration> &configurations)

## Signals

`(obsolete)` void | networkConfigurationChanged(const QNetworkConfiguration &configuration)

## Static Public Members

`(obsolete)` QStringList | supportedMimeTypes(Flags flags = Flags())

## Member Function Documentation

### `[signal]` void QMediaPlayer::networkConfigurationChanged(const QNetworkConfiguration &configuration)

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Signal that the active in use network access point has been changed to configuration and all subsequent network access will use this configuration.

### `[slot]` void QMediaPlayer::setNetworkConfigurations(const QList<QNetworkConfiguration> &configurations)

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Sets the network access points for remote media playback. configurations contains, in ascending preferential order, a list of configuration that can be used for network access.

This will invalidate the choice of previous configurations.

### QNetworkConfiguration QMediaPlayer::currentNetworkConfiguration() const

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Returns the current network access point in use. If a default contructed QNetworkConfiguration is returned this feature is not available or that none of the current supplied configurations are in use.

### `[static]` QStringList QMediaPlayer::supportedMimeTypes(Flags flags = Flags())

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Returns a list of MIME types supported by the media player.

The flags argument causes the resultant list to be restricted to MIME types which can be supported given additional requirements, such as performance indicators.

This function may not return useful results on some platforms, and support for a specific file of a given mime type is not guaranteed even if the mime type is in general supported. In addition, in some cases this function will need to load all available media plugins and query them for their support, which may take some time.